Styling
Sie können das Erscheinungsbild der Editor-Komponenten durch das Anwenden spezifischer Styles anpassen.
Eine CSS-Klasse für den Editor-Container definieren
<script setup>
import { Editor } from "@svar-ui/vue-editor";
</script>
<template>
<Editor css="myBox" />
</template>
Diese Funktion ermöglicht es, dem Haupt-Container-Element des Editors eine CSS-Klasse zuzuweisen. Das css-Attribut kann verwendet werden, um benutzerdefinierte Styles auf den Editor-Container anzuwenden, sodass Entwickler das visuelle Design an das Theme oder Layout der Anwendung anpassen können.
In diesem Beispiel sollte die CSS-Klasse myBox im Stylesheet vordefiniert sein. Dies ist hilfreich, wenn der Editor optisch zu den umgebenden UI-Elementen passen oder besondere visuelle Merkmale aufweisen soll, wie z. B. bestimmte Abstände, Rahmen oder Hintergrundfarben.
Schriftarten deaktivieren
Wenn Sie die in einem Theme verwendeten Schriftarten deaktivieren möchten, können Sie die fonts-Eigenschaft des Themes verwenden und sie auf den Wert false setzen:
<script setup>
import { Willow } from "@svar-ui/vue-core";
import { Editor } from "@svar-ui/vue-editor";
</script>
<template>
<div style="width:300px">
<Willow :fonts="false">
<Editor />
</Willow>
</div>
</template>
Wenn Sie die Standardschriftarten deaktivieren, müssen Sie die benötigten Schriftarten selbst einbinden.
Verwandte Artikel: Visuelle Themes

Styling
Sie können das Erscheinungsbild der Editor-Komponenten durch das Anwenden spezifischer Styles anpassen.
Eine CSS-Klasse für den Editor-Container definieren
import { Editor } from "@svar-ui/react-editor";
import "@svar-ui/react-editor/all.css";
function App() {
return <Editor css="myBox" />;
}
Diese Funktion ermöglicht es, dem Haupt-Container-Element des Editors eine CSS-Klasse zuzuweisen. Das css-Prop kann verwendet werden, um benutzerdefinierte Styles auf den Editor-Container anzuwenden, sodass Entwickler das visuelle Design an das Theme oder Layout der Anwendung anpassen können.
In diesem Beispiel sollte die CSS-Klasse myBox im Stylesheet vordefiniert sein. Dies ist hilfreich, wenn der Editor optisch zu den umgebenden UI-Elementen passen oder besondere visuelle Merkmale aufweisen soll, wie z. B. bestimmte Abstände, Rahmen oder Hintergrundfarben.
Schriftarten deaktivieren
Wenn Sie die in einem Theme verwendeten Schriftarten deaktivieren möchten, können Sie die fonts-Eigenschaft des Themes verwenden und sie auf den Wert false setzen:
import { Willow } from "@svar-ui/react-core";
import { Editor } from "@svar-ui/react-editor";
import "@svar-ui/react-editor/all.css";
function App() {
return (
<div style={{ width: 300 }}>
<Willow fonts={false}>
<Editor />
</Willow>
</div>
);
}
Wenn Sie die Standardschriftarten deaktivieren, müssen Sie die benötigten Schriftarten selbst einbinden.
Verwandte Artikel: Visuelle Themes